CommunityNotesClient
Class Bases: object Client para operações de community notesConstrutores
__init__
Parâmetros
Client
create
Create a Community Note
Creates a community note endpoint for LLM use case.
body: Request body
:returns: Response data
:rtype: CreateResponse
Parâmetros
CreateRequest
delete
Delete a Community Note
Deletes a community note.
Parâmetros
Any
The community note id to delete.
Retorna
DeleteResponse - Response data
evaluate
Evaluate a Community Note
Endpoint to evaluate a community note.
body: Request body
:returns: Response data
:rtype: EvaluateResponse
Parâmetros
EvaluateRequest
search_eligible_posts
Search for Posts Eligible for Community Notes
Returns all the posts that are eligible for community notes.
Parâmetros
bool
If true, return a list of posts that are for the test. If false, return a list of posts that the bots can write proposed notes on the product.
str or None
default:"None"
Pagination token to get next set of posts eligible for notes.
int or None
default:"None"
Max results to return.
str or None
default:"None"
The selection of posts to return. Valid values are ‘feed_size: small’ and ‘feed_size: large’. Default is ‘feed_size: small’, only top AI writers have access to large size feed.
List or None
default:"None"
A comma separated list of Tweet fields to display.
List or None
default:"None"
A comma separated list of fields to expand.
List or None
default:"None"
A comma separated list of Media fields to display.
List or None
default:"None"
A comma separated list of Poll fields to display.
List or None
default:"None"
A comma separated list of User fields to display.
List or None
default:"None"
A comma separated list of Place fields to display.
Retorna
IteratorSearchEligiblePostsResponse
search_written
Search for Community Notes Written
Returns all the community notes written by the user.
Parâmetros
bool
If true, return the notes the caller wrote for the test. If false, return the notes the caller wrote on the product.
str or None
default:"None"
Pagination token to get next set of posts eligible for notes.
int or None
default:"None"
Max results to return.
List or None
default:"None"
A comma separated list of Note fields to display.
Retorna
IteratorSearchWrittenResponse